* {
    padding: 0;
    margin: 0;
}

body {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    background-color: #010409;
}

/* maincontaint */



@media only screen and (max-width: 600px) {
.main_doc {
    width: 100%;
    height: 100%;
    min-height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 30px;
}

.sidebar {
    position: sticky;
    top: 150px;
    width: 250px;
    background-color: #16171d;
    align-self: flex-start;
    font-family: "Inter", sans-serif;
    border-radius: 2px;
    border: 1px solid #f1f1f110;
    padding: 10px;
    display: none;
}

.doc-links {
    width: 90%;
    height: 100%;
    padding: 10px;
    padding-top: 20px;
    margin-top: 20px;
    border-top: 1px solid #f1f1f110;
}

.inside_doc {
    width: 90%;
    height: 100%;
    min-height: 60dvh;
    display: flex;
    align-items: center;
    flex-direction: column;
    background-color: #16171d;
    border-radius: 5px;
    border: 1px solid #f1f1f110;
    padding: 10px;
    font-family: "Inter", sans-serif;
    margin-top: 100px;
}

.inside-sidebar {
    width: 100%;
}

.inside-sidebar a {
    text-decoration: none;
    font-size: 25px;
}

.doc-links ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.doc-links li {
    list-style: disc;
}
.doc-links li::marker {
    color: royalblue;
}

.doc-links a {
    color: white;
    font-size: 15px;
}

.doc-links a:hover {
    color: blue;
}
.inside_doc h1 {
    color: white;
    font-size: 21px;
    padding: 10px 0px;
    font-weight: 500;
    line-height: 1;
    border-top: 1px solid #f1f1f110;
}

.readme h1 {
    color: white;
    font-size: 25px;
    font-weight: 500;
    line-height: 1.7;
}

.readme h2 {
    color: white;
    font-size: 23px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h3 {
    color: white;
    font-size: 21px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h4 {
    color: white;
    font-size: 19px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h5 {
    color: white;
    font-size: 17px;
    font-weight: normal;
    line-height: 1.7;
}

.readme b {
    color: #367BF0;;
    font-weight: normal;
}

.readme p {
    color: white;
    font-size: 15px;
    line-height: 1.5;
}

.readme a {
    color: blue;
    text-decoration: none;
}

.readme img {
    width: 100%;
    max-width: 600px;
    padding: 10px 0px;
    display: block;
    margin: 0 auto;
    position: center;
}

.readme {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    font-family: "Inter", sans-serif;
}

/* blogTD */

.readme table {
    table-layout: fixed;
    margin-top: 30px;
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
    border: 1px solid #f1f1f110;
    align-self: center;
    display: block;
    overflow-x: auto;
}

.readme th {
    border: 1px solid #f1f1f110;
}
.readme td, th {
    padding: 38px;
    color: whitesmoke;
}

.readme tr:nth-child(even){background-color: #f1f1f110; color: white;}

.readme tr:hover {background-color: #dcdada10; color: white;}

.readme td {
    padding: 10px;
    border: 1px solid #f1f1f110;
}
.readme th {
    padding: 10px;
    padding-bottom: 10px;
    text-align: left;
    background-color: #f1f1f110;
    color: whitesmoke;
    font-weight: 500;
}

.readme pre {
    margin-top: 15px;
    margin-bottom: 15px;
    background-color: #19191950;
    padding: 10px;
    border-radius: 3px;
    border: 1px solid rgba(87, 87, 87, 0.424);
    box-shadow: inset 0 0 15px rgba(117, 117, 117, 0.314);
    overflow-x: auto;
    max-height: 700px;
    color: white;
}

}

@media only screen and (min-width: 600px) {
.main_doc {
    width: 100%;
    height: 100%;
    min-height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 30px;
}

.sidebar {
    position: sticky;
    top: 150px;
    width: 250px;
    background-color: #16171d;
    align-self: flex-start;
    font-family: "Inter", sans-serif;
    border-radius: 2px;
    border: 1px solid #f1f1f110;
    padding: 10px;
    display: none;
}

.doc-links {
    width: 90%;
    height: 100%;
    padding: 10px;
    padding-top: 20px;
    margin-top: 20px;
    border-top: 1px solid #f1f1f110;
}

.inside_doc {
    width: 90%;
    height: 100%;
    min-height: 60dvh;
    display: flex;
    align-items: center;
    flex-direction: column;
    background-color: #16171d;
    border-radius: 5px;
    border: 1px solid #f1f1f110;
    padding: 10px;
    font-family: "Inter", sans-serif;
    margin-top: 100px;
}

.inside-sidebar {
    width: 100%;
}

.inside-sidebar a {
    text-decoration: none;
    font-size: 25px;
}

.doc-links ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.doc-links li {
    list-style: disc;
}
.doc-links li::marker {
    color: royalblue;
}

.doc-links a {
    color: white;
    font-size: 15px;
}

.doc-links a:hover {
    color: blue;
}
.inside_doc h1 {
    color: white;
    font-size: 21px;
    padding: 10px 0px;
    font-weight: 500;
    line-height: 1;
    border-top: 1px solid #f1f1f110;
}

.readme h1 {
    color: white;
    font-size: 25px;
    font-weight: 500;
    line-height: 1.7;
}

.readme h2 {
    color: white;
    font-size: 23px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h3 {
    color: white;
    font-size: 21px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h4 {
    color: white;
    font-size: 19px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h5 {
    color: white;
    font-size: 17px;
    font-weight: normal;
    line-height: 1.7;
}

.readme b {
    color: #367BF0;;
    font-weight: normal;
}

.readme p {
    color: white;
    font-size: 15px;
    line-height: 1.5;
}

.readme a {
    color: blue;
    text-decoration: none;
}

.readme img {
    width: 100%;
    max-width: 600px;
    padding: 10px 0px;
    display: block;
    margin: 0 auto;
    position: center;
}

.readme {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    font-family: "Inter", sans-serif;
}

/* blogTD */

.readme table {
    table-layout: fixed;
    margin-top: 30px;
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
    border: 1px solid #f1f1f110;
    align-self: center;
    display: block;
    overflow-x: auto;
}

.readme th {
    border: 1px solid #f1f1f110;
}
.readme td, th {
    padding: 38px;
    color: whitesmoke;
}

.readme tr:nth-child(even){background-color: #f1f1f110; color: white;}

.readme tr:hover {background-color: #dcdada10; color: white;}

.readme td {
    padding: 10px;
    border: 1px solid #f1f1f110;
}
.readme th {
    padding: 10px;
    padding-bottom: 10px;
    text-align: left;
    background-color: #f1f1f110;
    color: whitesmoke;
    font-weight: 500;
}

.readme pre {
    margin-top: 15px;
    margin-bottom: 15px;
    background-color: #19191950;
    padding: 10px;
    border-radius: 3px;
    border: 1px solid rgba(87, 87, 87, 0.424);
    box-shadow: inset 0 0 15px rgba(117, 117, 117, 0.314);
    overflow-x: auto;
    max-height: 700px;
    color: white;
}

}

@media only screen and (min-width: 1200px) {
.main_doc {
    width: 100%;
    height: 100%;
    min-height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 30px;
}

.sidebar {
    position: sticky;
    top: 150px;
    width: 250px;
    background-color: #16171d;
    align-self: flex-start;
    font-family: "Inter", sans-serif;
    border-radius: 2px;
    border: 1px solid #f1f1f110;
    padding: 10px;
    display: unset;
}

.doc-links {
    width: 90%;
    height: 100%;
    padding: 10px;
    padding-top: 20px;
    margin-top: 20px;
    border-top: 1px solid #f1f1f110;
}

.inside_doc {
    width: 60%;
    height: 100%;
    min-height: 60dvh;
    display: flex;
    align-items: center;
    flex-direction: column;
    background-color: #16171d;
    border-radius: 5px;
    border: 1px solid #f1f1f110;
    padding: 10px;
    font-family: "Inter", sans-serif;
    margin-top: 150px;
    margin-bottom: 100px;
}

.inside-sidebar {
    width: 100%;
}

.inside-sidebar a {
    text-decoration: none;
    font-size: 25px;
}

.doc-links ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.doc-links li {
    list-style: disc;
}
.doc-links li::marker {
    color: royalblue;
}

.doc-links a {
    color: white;
    font-size: 15px;
}

.doc-links a:hover {
    color: blue;
}
.inside_doc h1 {
    color: white;
    font-size: 21px;
    padding: 10px 0px;
    font-weight: 500;
    line-height: 1;
    border-top: 1px solid #f1f1f110;
}

.readme h1 {
    color: white;
    font-size: 25px;
    font-weight: 500;
    line-height: 1.7;
}

.readme h2 {
    color: white;
    font-size: 23px;
    font-weight: normal;
    line-height: 2.5;
    font-weight: 500;
}

.readme h3 {
    color: white;
    font-size: 21px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h4 {
    color: white;
    font-size: 19px;
    font-weight: normal;
    line-height: 1.7;
}

.readme h5 {
    color: white;
    font-size: 17px;
    font-weight: normal;
    line-height: 1.7;
}

.readme b {
    color: #367BF0;;
    font-weight: normal;
}

.readme p {
    color: white;
    font-size: 15px;
    line-height: 1.5;
    padding-bottom: 5px;
}

.readme a {
    color: blue;
    text-decoration: none;
}

.readme img {
    width: 100%;
    max-width: 600px;
    padding: 10px 0px;
    display: block;
    margin: 0 auto;
    position: center;
}

.readme {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    font-family: "Inter", sans-serif;
}

/* blogTD */

.readme table {
    table-layout: fixed;
    margin-top: 30px;
    border-collapse: collapse;
    width: fit-content;
    margin-bottom: 20px;
    border: 1px solid #f1f1f110;
    align-self: center;
    display: unset;
    overflow-x: unset;
}

.readme th {
    border: 1px solid #f1f1f110;
}
.readme td, th {
    padding: 38px;
    color: whitesmoke;
}

.readme tr:nth-child(even){background-color: #f1f1f110; color: white;}

.readme tr:hover {background-color: #dcdada10; color: white;}

.readme td {
    padding: 10px;
    border: 1px solid #f1f1f110;
}
.readme th {
    padding: 10px;
    padding-bottom: 10px;
    text-align: left;
    background-color: #f1f1f110;
    color: whitesmoke;
    font-weight: 500;
}

.readme pre {
    margin-top: 15px;
    margin-bottom: 15px;
    background-color: #19191950;
    padding: 10px;
    border-radius: 3px;
    border: 1px solid rgba(87, 87, 87, 0.424);
    box-shadow: inset 0 0 15px rgba(117, 117, 117, 0.314);
    overflow-x: auto;
    max-height: 700px;
    color: white;
}

} 